PHP: Hypertext Preprocessor, better known as PHP, is a popular scripting language, which can be used to develop dynamic websites with interactive components like message boards, online learning websites or social networking sites. In comparison with static HTML-based sites, a PHP-powered website can serve unique content to each visitor under the same exact page URL. Considering the fact that PHP-based web applications can be managed through one single Control Panel tool, which you can sign in to from any browser, you will not need any web design abilities or past experience whatsoever in order to run a PHP-powered website. The fact that hundreds of millions of sites around the globe are built using PHP is an indication of the popularity and the ease of use of the language. You only have to verify whether the server where you host your website supports the same exact version of PHP as the one that you used while setting up the website.

PHP 4, PHP 5 and PHP 7 Support in Hosting

Our hosting servers support several PHP versions, which suggests that your websites will work without any problem even if your scripts are out of date. We acknowledge the fact that an old website doesn’t invariably equal a vulnerable one as you may have done plenty of source code mods. That’s the reason why we support PHP 4, PHP 5 and PHP 7 and you can decide which one will be active for your shared web hosting account. The version can be changed with just one click from your Hepsia Control Panel and the update will take effect momentarily. In case you’d like to run both older and newer scripts, there is even an option to use a different PHP version for each of your domain names at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

Even in case your websites were created with an earlier version of PHP, you’ll be able to host them in a semi-dedicated server account from us, as we support several versions running at the same time on our servers and each one of them can be enabled for your account with just one click via our custom Hepsia hosting Control Panel. Other than the most recent PHP 7, we also offer support for 5.3, 5.2 and the older PHP 4. The latter has already been dropped by the vast majority of web hosts, but we strongly maintain that you should not be compelled to modify a site that took years to build, as older scripting language syntax doesn’t automatically equal security breaches. On the contrary, a correctly maintained website using PHP 4 can be more reliable than an inadequately maintained one using PHP 5. For the sake of your convenience, we will also give you the possibility to select a different version of PHP for each website within the account.